# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "apifox2code"
version = "0.1.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A tool to convert Apifox API definitions to code."
readme = "README.md"
license = "MIT"

[[bin]]
name = "apifox2code"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0"

[dependencies.clap]
version = "4.4"
features = ["derive"]

[dependencies.handlebars]
version = "4.5"

[dependencies.reqwest]
version = "0.11"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1.34"
features = ["full"]
